import 'package:em2rp/providers/local_user_provider.dart';
import 'package:flutter/material.dart';
import 'package:em2rp/widgets/custom_app_bar.dart';
import 'package:em2rp/views/widgets/nav/main_drawer.dart';
import 'package:provider/provider.dart'; // Import Provider
import 'package:em2rp/utils/colors.dart';

class CalendarPage extends StatelessWidget {
  const CalendarPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    final localAuthProvider = Provider.of<LocalUserProvider>(context);

    return Scaffold(
      appBar: const CustomAppBar(
        title: 'Calendrier',
      ),
      drawer: const MainDrawer(currentPage: '/calendar'),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            const Text('Page Calendrier', style: TextStyle(fontSize: 24)),
            const SizedBox(height: 20),
            if (localAuthProvider.role == 'ADMIN') // Get role from UserProvider
              const Text('Vue Admin du Calendrier',
                  style: TextStyle(fontSize: 18, color: AppColors.rouge))
            else
              const Text('Vue Utilisateur du Calendrier',
                  style: TextStyle(fontSize: 18, color: Colors.blueGrey)),
          ],
        ),
      ),
    );
  }
}
